import request from '@/utils/request'

// 查询药品实时库存列表
export function listMedicineStock(query) {
  return request({
    url: '/health/medicineStock/list',
    method: 'get',
    params: query
  })
}

// 查询药品实时库存详细
export function getMedicineStock(id) {
  return request({
    url: '/health/medicineStock/' + id,
    method: 'get'
  })
}

// 新增药品实时库存
export function addMedicineStock(data) {
  return request({
    url: '/health/medicineStock',
    method: 'post',
    data
  })
}

// 修改药品实时库存
export function updateMedicineStock(data) {
  return request({
    url: '/health/medicineStock',
    method: 'put',
    data
  })
}

// 删除药品实时库存
export function delMedicineStock(id) {
  return request({
    url: '/health/medicineStock/' + id,
    method: 'delete'
  })
}
